- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
dns_header Struct Reference

## Data Fields
unsigned | qid:16
unsigned | rd:1
unsigned | tc:1
unsigned | aa:1
unsigned | opcode:4
unsigned | qr:1
unsigned | rcode:4
unsigned | unused:3
unsigned | ra:1
unsigned | qdcount:16
unsigned | ancount:16
unsigned | nscount:16
unsigned | arcount:16